import React from 'react';
import { ButtonChoiceProps } from './ButtonChoice';
import { HtmlChoiceProps } from './HtmlChoice';
import { FieldProps } from 'formik';
interface IOption {
    value: any;
    text: string;
    [key: string]: any;
}
interface ChoiceChildrenProps extends Omit<ButtonChoiceProps, 'innerRef'>, Omit<HtmlChoiceProps, 'innerRef'> {
    options?: Array<IOption>;
    button?: boolean;
    name?: string;
    multiple?: boolean;
    group?: boolean;
    fieldProps: {
        formik: FieldProps;
        [key: string]: any;
    };
}
declare const ChoiceChildren: React.FC<ChoiceChildrenProps>;
export default ChoiceChildren;
export { ChoiceChildrenProps };
