import React from 'react';
import { InputProps } from 'reactstrap';
import { FieldGroupProps } from './FieldGroup';
import { FieldProps, FormikHandlers } from 'formik';
interface IOption {
    value: string;
    text: string;
    [key: string]: any;
}
interface SelectProps extends Omit<FieldGroupProps, 'render'>, Omit<InputProps, 'onChange'> {
    onChange?: (value: any, formikOnChange: FormikHandlers['handleChange'], formik: FieldProps) => void;
    filtered?: IOption[];
    inputProps?: Object;
}
declare const Select: React.FC<SelectProps>;
export default Select;
export { SelectProps };
